Description

I have a form with 9 relation reference widgets.

With current master, these widgets randomly show either the internal numeric code (within parenthesis) or the human-readable text that is

meant to display. Sometimes the text, sometimes the numerical code. Randomly, even when used on the same feature.

In screenshot 1, the widgets labeled "Gewässerkategorie" and "Rechtszustand (Wasserbauverordnung)" show the internal code.

In screenshot 2 (same feature, two seconds later), the widgets labeled "Art Gewässerabschnitt", "Gewässerkategorie", "Verlauf

(offen|unterirdisch)" and "Rechtszustand" show the internal code.

In a third or fourth try even other widgets randomly show either text or internal code.

History

#1 - 2017-11-06 03:26 PM - Andreas Neumann

I should add that in the attribute table I can always see the human-readable represent value as expected.

#2 - 2017-11-06 03:29 PM - Jürgen Fischer

- Subject changed from Relaltion reference widgets randomly don't show the correct display value to Relation reference widgets randomly don't show the 

correct display value

#3 - 2017-11-06 03:38 PM - Andreas Neumann

New finding:

On another machine, where the PostgreSQL database is on the same machine like QGIS as a client, the widgets always display fine. In my initial setup the

PostgreSQL DB is in the same LAN, but on a different machine.

So I wonder if the issue has something to do with the speed of the database connection?

The slower the DB-connection the less likely the values in the relation reference widgets display fine?

Would that explain things?

#4 - 2017-11-06 03:52 PM - Andreas Neumann
For some additional information, here are the exact build numbers I tested:

commit:edcaf05bcb (on Windows - issue is reproducible) and commit:ee59abf030 (on Linux, with DB on same machine, issue not reproducible)

#5 - 2017-11-23 08:44 AM - Andreas Neumann

- Resolution set to worksforme

- Status changed from Open to Closed

The issue doesn't appear anymore. Perhaps it was a side effect of something else.

Closing it now.
